{
  "name": "11xSwitchBigBox",
  "checkItems": [
    {
      "collectType": "深入检测",
      "subTypes": [
        {
          "typeName": "深入检测",
          "cmds": [
            "@include 11xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "html/common/deepDiag.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 交换机全面诊断_11X"
        }
      ]
    },
	{
      "collectType": "专项检查",
      "subTypes": [
        {
          "typeName": "11.0(4)B4 DB卡热补丁",
          "cmds": [
            "@include 11xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "html/switch/patchFixed.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 0PJ11热补丁"
        },
        {
          "typeName": "热补丁检查",
          "cmds": [
            "@include 11xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "html/switch/patchFixed.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 热补丁检查"
        },
        {
          "typeName": "N18K数据库泄漏检测",
          "cmds": [
            "@include 11xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "html/switch/pgsql_leak.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json N18K数据库泄漏"
        },
        {
          "typeName": "全局配置不生效检查",
          "cmds": [
            "@include 11xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "html/switch/configIssue.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 全局配置不生效检查"
        }
      ]
    },
    {
      "collectType": "网管与监控",
      "subTypes": [
        {
          "typeName": "端口镜像SPAN无法镜像到报文",
          "cmds": [
            "@include 11xSwitchAll.json/网管与监控/端口镜像SPAN无法镜像到报文"
          ],
          "t": "",
          "mapHtml": "html/pi/netManageAndMonitor.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 镜像端口异常"
        }
      ]
    },
    {
      "collectType": "IP路由",
      "subTypes": [
        {
          "typeName": "OSPF路由异常",
          "cmds": [
            "@include 11xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json OSPF路由震荡问题"
        }
      ]
    },
    {
      "collectType": "系统相关",
      "subTypes": [
        {
          "typeName": "系统指示灯告警或异常",
          "cmds": [
            "@include 11xSwitchAll.json/系统相关/系统指示灯告警或异常"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "电源指示灯告警或异常",
          "cmds": [
            "@include 11xSwitchAll.json/系统相关/电源指示灯告警或异常",
            "show power",
            "show power version",
            "show power priority",
            "show power temperature",
            "show power voltage",
            "show power fault"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "风扇指示灯告警或异常",
          "cmds": [
            "@include 11xSwitchAll.json/系统相关/风扇指示灯告警或异常",
            "show fan",
            "show fan detail",
            "show fan speed",
            "show fan version"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "cpu异常冒高",
          "cmds": [
            "@include 11xSwitchAll.json/系统相关/cpu异常冒高"
          ],
          "t": "",
          "mapHtml": "html/switch/cpuAlarm_11x.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 交换机CPU高_11X"
        },
        {
          "typeName": "内存异常冒高",
          "cmds": [
            "@include 11xSwitchAll.json/系统相关/内存异常冒高"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "温度告警或异常",
          "cmds": [
            "@include 11xSwitchAll.json/系统相关/温度告警或异常"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "线卡无法识别或无法启动",
          "cmds": [
            "@include 11xSwitchAll.json/系统相关/线卡无法识别或无法启动"
          ],
          "t": "仅机箱式交换机支持",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "VSU状态异常或无法组建",
          "cmds": [
            "@include 11xSwitchAll.json/系统相关/VSU状态异常或无法组建",
            "show switch virtual link port",
            "@session device 2 slot #X",
            "enable",
            "show switch virtual link port",
            "session master",
            "enable",
            "show vsl app port 0",
            "@sleep 2000",
            "show vsl app port 0",
            "@sleep 2000",
            "@session device 2 slot #X",
            "enable",
            "show vsl app port 0",
            "@sleep 2000",
            "show vsl app port 0",
            "@sleep 2000",
            "session master",
            "enable"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }

      ]
    },
    {
      "collectType": "二层业务类",
      "subTypes": [
        {
          "typeName": "端口不能UP",
          "cmds": [
            "@include 11xSwitchAll.json/二层业务类/端口不能UP"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2_noUp.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 交换机端口不能UP_11X"
        },
        {
          "typeName": "端口丢包",
          "cmds": [
            "@include 11xSwitchAll.json/二层业务类/端口丢包"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "端口聚合后链路不通",
          "cmds": [
            "@include 11xSwitchAll.json/二层业务类/端口聚合后链路不通"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "LACP协商失败",
          "cmds": [
            "@include 11xSwitchAll.json/二层业务类/LACP协商失败"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
		{
          "typeName": "生成树异常状态及配置检测",
          "cmds": [
            "@include 11xSwitchAll.json/二层业务类/生成树异常状态及配置检测"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 生成树异常状态及配置检测"
        },
        {
          "typeName": "POE端口无法供电",
          "cmds": [
            "@include 11xSwitchAll.json/二层业务类/POE端口无法供电"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json POE端口无法供电_11X"
        }
      ]
    },
    {
      "collectType": "IP地址与应用",
      "subTypes": [
        {
          "typeName": "DHCP无法获取IP地址",
          "cmds": [
            "@include 11xSwitchAll.json/IP地址与应用/DHCP无法获取IP地址"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_ipAddr.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json DHCP无法获取IP地址_11X"
        },
        {
          "typeName": "IPV4用户无法ping通网关",
          "cmds": [
            "@include 11xSwitchAll.json/IP地址与应用/IPV4用户无法ping通网关",
            "show efmp buff-leak",
            "show efmp buff-pool address ",
            "show efmp frmpf"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_ipv4.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "IPV4用户可ping通网关，无法ping通外网",
          "cmds": [
            "@include 11xSwitchAll.json/IP地址与应用/IPV4用户可ping通网关，无法ping通外网",
            "show efmp buff-leak",
            "show efmp buff-pool address ",
            "show efmp frmpf"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_ipv6.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "IPV6用户无法ping外网",
          "cmds": [
            "@include 11xSwitchAll.json/IP地址与应用/IPV6用户无法ping外网",
            "show efmp buff-leak",
            "show efmp buff-pool address ",
            "show efmp frmpf"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_ipv6.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "BFD震荡",
          "cmds": [
            "@include 11xSwitchAll.json/IP地址与应用/BFD震荡"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "认证类问题",
      "subTypes": [
        {
          "typeName": "WEB认证无法弹开认证页面",
          "cmds": [
            "@include 11xSwitchAll.json/认证类问题/WEB认证无法弹开认证页面"
          ],
          "t": "",
          "mapHtml": "html/switch/noAuthPage.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "安全类问题",
      "subTypes": [
        {
          "typeName": "ACL不生效",
          "cmds": [
            "@include 11xSwitchAll.json/安全类问题/ACL不生效"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "自定义收集",
      "subTypes": [
        {
          "typeName": "自定义收集",
          "cmds": [
            "@include 11xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "html/common/defineCollect.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "costomize": true,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "全面诊断",
      "subTypes": [
        {
          "typeName": "全面诊断",
          "cmds": [ ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "overallDiag": true,
          "diagRule": "@include diagrules.json 交换机全面诊断_11X"
        }
      ]
    }
  ]
}